# Avorion Script API Documentation

Home Functions Search
Search:

TurretTemplate TurretTemplate
Properties
accuracy
ancient
armed
averageTech
baseEnergyPerSecond
bestEfficiency
blackMarketDLCOnly
category
civil
coaxial
continuousBeam
coolingRate
coolingTime
coolingType
crew
damage
damageType
deathExplosion
dps
energyIncreasePerSecond
favorite
fireRate
firing
firingsPerSecond
flavorText
heat
heatPerShot
holdingForce
hullDamageMultiplicator
hullDamageMultiplier
hullRepairRate
intoTheRiftDLCOnly
itemType
material
maxHeat
maxTech
metalBestEfficiency
metalRawEfficiency
metalRefinedEfficiency
missionRelevant
name
numVisibleWeapons
numWeapons
otherForce
overheated
rarity
reach
recent
requiredShootingEnergy
seeker
selfForce
shieldDamageMultiplicator
shieldDamageMultiplier
shieldPenetration
shieldRepairRate
shootingTime
shotSpeed
shotsPerFiring
shotsPerSecond
shotsUntilOverheated
simultaneousShooting
size
slots
slotType
stackable
stoneBestEfficiency
stoneDamageMultiplicator
stoneDamageMultiplier
stoneRawEfficiency
stoneRefinedEfficiency
title
trash
turningSpeed
weaponIcon
weaponName
weaponPrefix
Member Functions
__eq
addDescription
addWeapon
clearDescriptions
clearWeapons
getCrew
getDescriptions
getWeapons
setBlackMarketDLCOnly
setIntoTheRiftDLCOnly
setRange
updateStaticStats

# TurretTemplate

function TurretTemplate(var other)

Returns

A new instance of TurretTemplate

property float accuracy | [read-only]

property bool ancient |

property bool armed | [read-only]

property int averageTech | [read-only]

property float baseEnergyPerSecond |

property float bestEfficiency | [read-only]

property bool blackMarketDLCOnly | [read-only]

property WeaponCategory category | [read-only]

property bool civil | [read-only]

property bool coaxial |

property bool continuousBeam | [read-only]

property float coolingRate |

property float coolingTime | [read-only]

property int coolingType |

property Crew crew |

property float damage | [read-only]

property int damageType | [read-only]

property bool deathExplosion | [read-only]

property float dps | [read-only]

property float energyIncreasePerSecond |

property bool favorite |

property float fireRate | [read-only]

property bool firing |

property float firingsPerSecond | [read-only]

property var flavorText |

property float heat | [read-only]

property float heatPerShot |

property float holdingForce | [read-only]

property float hullDamageMultiplicator | [read-only]

property float hullDamageMultiplier | [read-only]

property float hullRepairRate | [read-only]

property bool intoTheRiftDLCOnly | [read-only]

property int itemType | [read-only]

property Material material | [read-only]

property float maxHeat |

property int maxTech | [read-only]

property float metalBestEfficiency | [read-only]

property float metalRawEfficiency | [read-only]

property float metalRefinedEfficiency | [read-only]

property bool missionRelevant |

property var name | [read-only]

property int numVisibleWeapons | [read-only]

property int numWeapons | [read-only]

property float otherForce | [read-only]

property bool overheated | [read-only]

property Rarity rarity | [read-only]

property float reach | [read-only]

property bool recent |

property double requiredShootingEnergy | [read-only]

property bool seeker | [read-only]

property float selfForce | [read-only]

property float shieldDamageMultiplicator | [read-only]

property float shieldDamageMultiplier | [read-only]

property float shieldPenetration | [read-only]

property float shieldRepairRate | [read-only]

property float shootingTime | [read-only]

property float shotSpeed | [read-only]

property int shotsPerFiring | [read-only]

property float shotsPerSecond | [read-only]

property int shotsUntilOverheated | [read-only]

property bool simultaneousShooting |

property float size |

property int slots |

property TurretSlotType slotType |

property bool stackable | [read-only]

property float stoneBestEfficiency | [read-only]

property float stoneDamageMultiplicator | [read-only]

property float stoneDamageMultiplier | [read-only]

property float stoneRawEfficiency | [read-only]

property float stoneRefinedEfficiency | [read-only]

property var title |

property bool trash |

property float turningSpeed |

property string weaponIcon | [read-only]

property string weaponName | [read-only]

property string weaponPrefix | [read-only]

function bool __eq(var other)

function var addDescription(string str, string value)

Returns

nothing

function var addWeapon(var weapon)

Returns

nothing

function var clearDescriptions()

Returns

nothing

function var clearWeapons()

Returns

nothing

function Crew getCrew()

function table<string, string> getDescriptions()

function Weapon... getWeapons()

Returns all weapons of the object

function var setBlackMarketDLCOnly()

Returns

nothing

function var setIntoTheRiftDLCOnly()

Returns

nothing

function var setRange(float range)

Returns

nothing

function var updateStaticStats()

Returns

nothing

Overview
Home Functions Search
Search:
Callbacks
Callbacks Alliance [Client] Callbacks Alliance [Server] Callbacks Alliance [Server] Callbacks Entity Callbacks Galaxy Callbacks Player Callbacks Player [Client] Callbacks Sector Callbacks Server Callbacks
Predefined Functions & Example Scripts
Command Entity FactionDatabase PlanGenerator Player Sector Server UsableInventoryItem
Common Components
Boarding BspTree CargoBay CargoLoot ControlUnit CrewComponent DeletionTimer DirectFlightPhysics DockingClamps DockingParent DockingPositions Durability EnergySystem Engine FighterAI Hangar HyperspaceEngine InteractionText InventoryItemLoot Owner Physics Plan ReadOnlyBoarding ReadOnlyBspTree ReadOnlyCargoBay ReadOnlyControlUnit ReadOnlyCrew ReadOnlyDeletionTimer ReadOnlyEnergySystem ReadOnlyEngine ReadOnlyFighterAI ReadOnlyHangar ReadOnlyHyperspaceEngine ReadOnlyInteractionText ReadOnlyOwner ReadOnlyPhysics ReadOnlyPlan ReadOnlyShipAI ReadOnlyShipSystem ReadOnlyTorpedoAI [Server] [Client] [Server] [Client] ReadOnlyTorpedoAI [Server] [Client] [Server] [Client] ReadOnlyTorpedoLauncher ReadOnlyTurretBases ReadOnlyVelocity ReadOnlyWeapons ReadOnlyWormHole Shield ShipAI ShipSystem StructuralIntegrity SystemUpgradeLoot Thrusters Torpedo TorpedoAI TorpedoLauncher Turret TurretAI TurretBases Velocity Weapons WormHole
Common Objects
AllianceMember AllianceRank BlockPlan BlockPlanBlock BlockStatistics Box Captain Color ControlUnitSeat CraftDesign CraftStatsOverview Crew CrewMan CrewProfession DebugInfo dvec2 dvec3 dvec4 Entity EntityDescriptor FighterTemplate Format GameSettings Group HighResolutionTimer Inventory InventoryTurret ivec2 ivec3 ivec4 Language Mail Material Matrix ModManager NamedFormat PlanBspTree PlanetSpecifics PlanGenerationStage PlanPart PlanStyle PlayerId PluralForm Profiler QuadTree Random Rarity Ray ReadOnlyEntity Rect Relation Scenario SectorView Seed Sphere Squad SystemUpgradeTemplate Timer Tooltip TooltipLine TorpedoShaft TorpedoTemplate TradingGood TurretDesign TurretDesignPart TurretTemplate UsableInventoryItem Uuid VanillaInventoryItem vec2 vec3 vec4 Version Weapon
Client Components
EntityIcon EntityTooltip PlanMesh ReadOnlyIcon ReadOnlyPlanMesh ReadOnlyScriptUI ReadOnlyTooltip ScriptUI
Client Objects
Achievements Alliance [Client] CameraKeyFrame CaptainSelectionItem Client ClientSettings ColorSelectionItem CraftDesignSelectionItem Faction [Client] Galaxy [Client] GalaxyMap GameInput GlowFX IconSelectionItem InputWindow InventoryReferenceSelectionItem InventorySelectionItem Keyboard LaserFX Mouse Music PixelIconSelectionItem Planet Player [Client] PlayerWindow RefractionFX Sector [Client] SelectionItem ShipDatabaseEntry [Client] SoundSource StrategyState TargetIndicator TooltipRenderer TurretDesignSelectionItem
Client UI Objects
AllianceEmblem AllianceTab ArrowLine Button [Client] [Client] Button [Client] [Client] CaptainIcon CaptainProfile CheckBox ComboBox ContextMenu CraftPortrait CrewBar Frame Hud InventorySelection Label Line ListBox ListBoxEx MapArrowLine MapIcon MultiLineTextBox NumbersBar Picture PlanDisplayer ProgressBar SavedDesignsSelection ScrollFrame Selection ShipWindow Slider StatisticsBar Tab TabbedWindow TextBox TextField TooltipDisplayer Tree UIArbitraryHorizontalSplitter UIArbitraryVerticalSplitter UIContainer UIElement UIGridSplitter UIHorizontalLister UIHorizontalMultiSplitter UIHorizontalSplitter UIOrganizer UIRect UIRenderer UIVerticalLister UIVerticalMultiSplitter UIVerticalSplitter ValueComboBox Window
Server Components
EntityTransferrer FighterController Loot ReadOnlyEntityTransferrer ReadOnlyFighterController ReadOnlyLoot ReadOnlyTurretController ReadOnlyWreckageCreator TurretController WreckageCreator
Server Objects
Alliance [Server] Faction [Server] Galaxy [Server] Player [Server] ReadOnlySector Sector [Server] Server ShipDatabaseEntry [Server]
Enums
AIState AlliancePrivilege BeamShape BlockShading BlockStructure BlockType BlockType2 BoxType BuildError CaptainGenderId ChatChannel ChatMessageType ComponentType ControlAction ControlActionBit ControlStyle CoolingType CraftStatsOverviewStat CrewProfessionType CrewRank DamageSource DamageType DeletionType Difficulty EntityArrivalType EntityType FighterOrders FighterStartError FighterType FontType ImpactParticles InventoryItemType JumpError KeyboardKey ListBoxEntryType MalusReason MaterialType MoonType MouseButton PlanetType PlanTypeFilter PlayerStateType ProjectileShape RarityType RelationStatus SavedDesignType ScenarioType SectorChangeType ShipAvailability SoundType StatsBonuses TargetIndicatorVisuals TransformationFeature TurretAutoFireMode TurretSlotType WeaponAppearance WeaponCategory

This is the official documentation for the scripting API of Avorion. This documentation is automatically generated and not necessarily complete. Depending on the context in which functions exist, some documentation such as descriptions, return values or variable names or types may be missing.

Work in Progress. Documentation of Avorion Version: 2.5.8 a0d3f0b5b065